Fontconfig Developers Reference, Version 2.2.2
Prev |  | Next

# FcPatternAdd

## Name

FcPatternAdd -- Add a value to a pattern

## Synopsis

    #include <fontconfig.h>

``FcBool FcPatternAdd`(FcPattern *p, const char *object, FcValuevalue, FcBoolappend);`

## Description

Adds a single value to the list of values associated with the property named `object. If `append is FcTrue, the value is added at the end of any existing list, otherwise it is inserted at the begining. `value' is saved (with FcValueSave) when inserted into the pattern so that the library retains no reference to any application-supplied data structure.

## Version

Fontconfig version 2.2.2

Prev | Home | Next
FcPatternHash | Up | FcPatternAddWeak